<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = 'outmain';

$file = "outward.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `mydt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `qty` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `total` = '$searchTerm'";
    }
} 
  else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `mydt` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `qty` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `total` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
}  else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `mydt`";
}  else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `qty`";
}  else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `total`";
}   
 

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

mysqli_query($conn, "Create temporary table `out` SELECT `vouchno`, date_format(vouchdt,'%d-%m-%Y') as mydt,`qty`,
                            `total` FROM `$maindb` where vouchno != '' $keycond") or die(mysqli_error($conn));

$srchresult = "SELECT * FROM `out` WHERE vouchno != '' $cond  $sortcond $ordcond  LIMIT $rangeFrom,$rangeTo" or die(mysqli_error($conn));


$result = mysqli_query($conn, $srchresult)or die(mysqli_error($conn));
$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

       $rows[] = [ 'success' => true,
        'value'   => $ctr,
        'keyfld'  => $keyfld,
        'vouchno' => $r['vouchno'],
        'mydt'    => $r['mydt'],
        'qty'     => $r['qty'],
        'total'   => $r['total'],
        'action'  => "$file?mode=edit&vouchno=$r[vouchno]&series=$row[series]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
